package master;

import java.util.List;

public class Query {



    private List<String[]> spatial_predicate;
    private String[] temporal_predicate;
    private boolean temporal;
    private String spatialName;
    private int id;

    public Query(String spatialName, List<String[]> spatial_predicate, String[] temporal_predicate, int id) {
        this.spatial_predicate = spatial_predicate;
        this.temporal_predicate = temporal_predicate;
        this.spatialName = spatialName;
        this.id = id;
        if(temporal_predicate != null) {
            this.temporal = true;
        }
        else {
            this.temporal = false;
        }

    }

    public List<String[]> getSpatialPredicate() {
        return spatial_predicate;
    }

    public String getSpatialName(){
        return this.spatialName;
    }

    public void setSpatialPredicate(List<String[]> spatial_predicate) {
        this.spatial_predicate = spatial_predicate;
    }

    public String[] getTemporalPredicate() {
        return temporal_predicate;
    }

    public void setTemporalPredicate(String[] temporal_predicate) {
        this.temporal_predicate = temporal_predicate;
    }

    public boolean isTemporal() {
        return temporal;
    }

    public int getQueryId() {
        return this.id;
    }

}
