package master;

public class UnprocessedHyperQuadrant implements Comparable<UnprocessedHyperQuadrant> {

    public final long[] z_prefix_range;
    public final long level;
    public double estimated_objects_contained;
    public final long timestamp;


    public UnprocessedHyperQuadrant(long[] z_prefix_range, long level, double estimated_objects_contained, long timestamp){

        this.z_prefix_range = z_prefix_range;
        this.level = level;
        this.estimated_objects_contained = estimated_objects_contained;
        this.timestamp = timestamp;

    }

    @Override
    public int compareTo(UnprocessedHyperQuadrant range){

        if (this.estimated_objects_contained < range.estimated_objects_contained){
            return 1;
        }
        else if (this.estimated_objects_contained > range.estimated_objects_contained){
            return -1;
        }
        else {
            return (int) (this.timestamp - range.timestamp);
        }

    }


}
