package master;


public class ZorderRange implements Comparable<ZorderRange> {


    long lower_range;
    long upper_range;
    boolean is_contained;

    public ZorderRange(long lower_range, long upper_range, boolean contained){

        this.lower_range = lower_range;
        this.upper_range = upper_range;
        this.is_contained = contained;
    }

    @Override
    public int compareTo(ZorderRange zorderRange) {

        if (this.lower_range == zorderRange.lower_range && this.upper_range == zorderRange.upper_range) {
            return 0;
        }
        else if (this.lower_range != zorderRange.lower_range){
            if (this.lower_range < zorderRange.lower_range) {
                return -1;
            }
            else {
                return 1;
                }
        }
        else if (this.upper_range < zorderRange.upper_range){
            return -1;
        }
        else {
            return 1;
        }
    }

}
